/************************************************************
* $Id: nfiles.h,v 1.4 2009/08/11 15:47:44 mechanoid Exp mechanoid $
*       
*  ART1 neural net based classifier of BMP images
*
*       OS : FreeBSD 7.2
* COMPILER : GNU project C and C++ Compiler  v. 4.2.1
*
*   AUTHOR : Evgeny S. Borisov
*
*  Glushkov Institute of Cybernetics
*  National Academy of Sciences of Ukraine
*
*    http://www.mechanoid.kiev.ua
*  e-mail : nn@mechanoid.kiev.ua
* 
************************************************************/
#ifndef NFILES_H
#define NFILES_H

/*
1.bmp
original size : 17 x 31
text size: 51 x 31 = 1581
bit per point : 8
*/

/* input patern size */
#define IMG_HEIGHT 31
#define IMG_WIDTH  17 
#define IMG_ROWS   51
#define IMG_NROWS   1


int input_load(char filename[]);
int nnet_memory_save(char filename[]);
int nnet_memory_load(char filename[]);

#endif
